Bug 134371 - no loopback from output of route
Summary: no loopback from output of route
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-01 18:45 UTC by George
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 21:11:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George 2004-10-01 18:45:27 UTC
Description of problem:

 	 no route to 127.0.0.0 on kernel 2.4.21-20.EL

Version-Release number of selected component (if applicable):

EL3 U3
How reproducible:
always

Steps to Reproduce:
1. The output of route displays,
# route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref   
Use Iface
10.1.0.0        *               255.255.252.0   U     0      0       
0 eth0
169.254.0.0     *               255.255.0.0     U     0      0       
0 eth0
default         fw.awids        0.0.0.0         UG    0      0       
0 eth0

There is no route to 127.0.0.0 or device lo.

2.
3.
  
Actual results:
There is no route to 127.0.0.0 or device lo.


Expected results:
show sth like,

127.0.0.0       *               255.0.0.0       U     0      0        0 lo


Additional info:
Is this a new change or something wrong?

Comment 1 David Miller 2004-10-04 21:11:18 UTC
The loopback device need not have a route, therefore
we do not create one.  It has been this way for a long
time.

You can add explicit routes for the loopback device but
this is quite pointless.



Note You need to log in before you can comment on or make changes to this bug.